function artic_vector_gen
%---------------------------------------------------
% This macro takes a list of epg files and calculates the 
% first 4 principal components generating a conversion matrix
%
%
%
%
name = 'artmess';
name = input ('filename prefix of files to be corrected(default: artmess): ','s');
if strcmp(name, '')
	name = 'artmess';
end
i1 = '1';
i1 = input ('from item # (default: 1): ','s');

if strcmp(i1,'')
  i1 = '1';
end
i2 = '1';
i2 = input ('to item # (default: 1): ','s');

if strcmp(i2,'')
  i2 = '1';
end
X = [];
%tmp = cell(length(str2num(i2)-str2num(i1)),1);
for k = str2num(i1):str2num(i2)

%%------------------------------------------
%%Load EPG data
%
%%convert item to 3 digit ascii
%item = num2str(k);
%full_num = '000';
%l = length (item);
%shift = 3 - l;
%for j = 1:l
  %full_num (j+shift) = item (j);
%end
%item = full_num;
%
%tlim = [0 0];
%
%filename = [name '_' item '.epg'];
%
%if exist(filename,'file')
    %fid = fopen(filename,'r');
    %dummy = fread(fid,'short');
    %nbits = 16 * length(dummy);
    %frewind(fid);
    %[epg,count] = fread(fid,nbits,'ubit1');
    %if count ~= nbits
      %fprintf(1,'Warning: %d bits read for %s.epg.raw\n',count,filename);
    %end
    %nbits = count;
    %nframes = nbits / 96;
    %epg = reshape(epg,96,nframes);
    %epg = fliplr(epg');
    %epg = epg(:,33:96);
    %epg(:,[1 8]) = [];
%else
   %fprintf('Filename: %s not present\n',filename);
%end
%
%%------------------------------------------------
%% read eigenvectors
%
%filename = [name '.epgpc'];
%load (filename, '-mat');
%eigenvectors = U(:,1:4);
%
%tmp = (epg-ones(size(epg,1),1)*epgmean)*eigenvectors;
%outvec = tmp(1:2:size(tmp,1),:);
%size(outvec)
%
%---------------------------------------------
% LOADING EMA TRACKS

%convert item to 3 digit ascii
item = num2str(k);
full_num = '000';
l = length (item);
shift = 3 - l;
for j = 1:l
  full_num (j+shift) = item (j);
end
item = full_num;

tlim = [0 0];

filename = [name '_' item '.ema'];

if exist(filename,'file')

%raw unscaled output
   mode = 'r';
%unlimited samples
   nmax = -1;
% skip no samples at start of file
   nskip = 0;
   [tmp_ema, ema_sr, ffmt, t] = readest(filename,mode,nmax,nskip);

   tmp_chan =ffmt{5};

% sort xxxxxyyyyyxxxxxyyyyy to xxxxxxxxxxyyyyyyyyyy
ema = [];ema_chan = [];
[nchans,labelSize] = size(tmp_chan);
j=1;
for i= 1:5
        ema(:,j)= tmp_ema(:,i);
        ema_chan(j,:) = tmp_chan(i,:);
        j=j+1;
end
for i= 11:15
        ema(:,j)= tmp_ema(:,i);
        ema_chan(j,:) = tmp_chan(i,:);
        j=j+1;
end
for i= 6:10
        ema(:,j)= tmp_ema(:,i);
        ema_chan(j,:) = tmp_chan(i,:);
        j=j+1;
end
for i= 16:20
        ema(:,j)= tmp_ema(:,i);
        ema_chan(j,:) = tmp_chan(i,:);
        j=j+1;
end

tmp_chan=char(ema_chan);
ema_chan= tmp_chan;
clear tmp_chan;

ema_scaling = 0.01;
tmp_ema = ema_scaling*ema;

k
else
   fprintf('Filename: %s not present\n',filename);
end

   for i=1:size(ema_chan,1)
      switch ema_chan(i,:)
        case 'ul_x'
                ul_x=i;
        case 'ul_y'
                ul_y=i;
        case 'll_x'
                ll_x=i;
        case 'll_y'
                ll_y=i;
        case 'tt_x'
                tt_x=i;
        case 'tt_y'
                tt_y=i;
        case 'tb_x'
                tb_x=i;
        case 'tb_y'
                tb_y=i;
        case 'td_x'
                td_x=i;
        case 'td_y'
                td_y=i;
        case 'li_x'
                li_x=i;
        case 'li_y'
                li_y=i;
        case 'v_x '
                v_x=i;
        case 'v_y '
                v_y=i;
      end
   end

ema = tmp_ema(:,[ul_x ll_x li_x tt_x tb_x td_x v_x ul_y ll_y li_y tt_y tb_y td_y v_y]);

%------------------------------------------------
% read eigenvectors
filename = [name '_all.emapc'];
load (filename, '-mat');
eigenvectors = U(:,1:8);
tmp = (ema-ones(size(ema,1),1)*emamean)*eigenvectors;
outvec=[];
for i = 1:size(tmp,2)
  tmp2 = resample(tmp(:,i),100,500);
%tmp3 = tmp2(1:size(outvec,1));
  outvec = [outvec tmp2];
end
size(outvec)

%------------------------------------------
%Load EPG data

%convert item to 3 digit ascii
item = num2str(k);
full_num = '000';
l = length (item);
shift = 3 - l;
for j = 1:l
  full_num (j+shift) = item (j);
end
item = full_num;

tlim = [0 0];

filename = [name '_' item '.epg'];

if exist(filename,'file')
    fid = fopen(filename,'r');
    dummy = fread(fid,'short');
    nbits = 16 * length(dummy);
    frewind(fid);
    [epg,count] = fread(fid,nbits,'ubit1');
    if count ~= nbits
      fprintf(1,'Warning: %d bits read for %s.epg.raw\n',count,filename);
    end
    nbits = count;
    nframes = nbits / 96;
    epg = reshape(epg,96,nframes);
    epg = fliplr(epg');
    epg = epg(:,33:96);
    epg(:,[1 8]) = [];
else
   fprintf('Filename: %s not present\n',filename);
end

%------------------------------------------------
% read eigenvectors

filename = [name '.epgpc'];
load (filename, '-mat');
eigenvectors = U(:,1:4);

tmp = (epg-ones(size(epg,1),1)*epgmean)*eigenvectors;
outvec = [outvec tmp(1:2:2*size(outvec,1),:)];
size(outvec)


%----------------------------------------
% LOADING LARYNGOGRAPH TRACK

filename = [name '_' item '.lar'];

if exist(filename,'file')

%raw unscaled output
   mode = 'r';
%unlimited samples
   nmax = -1;
% skip no samples at start of file
   nskip = 0;
   [laryngo, aud_sr, ffmt] = readaud(filename,mode,nmax,nskip);

t = tscale(laryngo,aud_sr);
[y,tt] = deriv(laryngo,t,'vel');

[tmp,t2] = rmsint(y,t,160,160);
larmean = mean(tmp);
tmp2 = tmp'-ones(size(tmp,2),1)*larmean;
tmp = tmp2(1:size(outvec,1),:);
outvec = [outvec tmp];
else
   fprintf('Filename: %s not present\n',filename);
end
delta = regression(outvec,2);
size_delta = size(delta)
deltadelta = regression(delta,2);
size_deltadelta = size(deltadelta)
outvec = [outvec delta deltadelta];
%size(outvec)
%figure;
%plot(outvec);
t = t2(1:size(outvec,1));
show_t = t(1:10)
size_outvec = size(outvec)
dummy = [];
tmpfile = ['/tmp/z'];
filename = ['/cstr/projects/mocha/tmp/' name '_' item '.est'];

%raw unscaled output
   mode = 'r';
%unlimited samples
   nmax = -1;
% skip no samples at start of file
   nskip = 0;

ffx = writeest(outvec,t,dummy,filename,mode,nskip);

%command = ['!ch_track ' tmpfile ' -itype est_binary -otype htk -o ' filename]
%eval(command);
end
%figure;
%plot(outvec);
