function t = crsrloc(cursor)

% CRSRLOC: locate the specified cursor.
%
%	CRSRLOC returns the position along the time axis
%	of cursor 1 or 2.
%
%	See also: CRSRMAKE, CRSRMMOV, TRCKCRSR.

%       Dennis W. Brown 1-10-94
%       Copyright (c) 1994 by Dennis W. Brown
%
%	modified version, N. Nguyen, July 95, 18/09/95

%global h_crsr
%h_crsr = findobj(gca,'Tag','Cursor');
%if cursor == 1

  t = get(findobj(gca,'Tag','Cursor','UserData',cursor),'XData');

%elseif cursor == 2

%  t = get(h_crsr(2),'XData');

%end

t = t(1);
