function h = fndwin(fig_title)

% FNDWIN: return the handle of the figure with title fig_title
%
%	See also: FNDTRACK

%       N. Nguyen, July 95, 18/09/95

h_fig = findobj('Type','figure');

for i = 1:length(h_fig)

  if ~isempty(findstr(get(h_fig(i),'Name'),fig_title))

    h = h_fig(i);

    break;

  end

end

if isempty(h)

  error('fndwin: figure not found');

end

