function loadfig(filename)

% LOADFIG: load figure stored in an M-file
%
%	See also: COPYFIG, PRINTFIG, SAVEFIG

%	N. Nguyen, April 96

path1 = pwd;

if nargin == 0

  [filename,path2] = uigetfile('*.m','Load Figure');

  if filename ~= 0

    filename = filename(1:findstr(filename,'.')-1);

  end

elseif nargin == 1

  if strcmp(computer,'PCWIN')
    separator = '\';
  else
    separator = '/';
  end

  index = findstr(filename,separator);

  if ~isempty(index)

    path2 = filename(1:index(length(index))-1);
    filename = filename(index(length(index))+1:length(filename));

  else
    path2 = path1;
  end

end

if strcmp(path1,path2)
  eval(filename);
else
  eval(['cd ' path2]);
  eval(filename);
  eval(['cd ' path1]);
end
