function mrkrsort

% MRKRSORT: sort markers in ascending order.
%
%	See also: MRKRDEL, MRKRLOAD, MRKRMAKE, MRKRSAVE.

%	N. Nguyen, July 95, 18/09/95

%global h_axes
	%find every axis belonging to any figure with an Ematools tag  
	h_axes = findobj(findobj(0,'Tag','EmaTools-Waveform'),'Type','axes');

for i = 1:length(h_axes)

  t = zeros(50,2);
  pos = zeros(50,3);

  h_mrkr = findobj(h_axes(i),'Tag','MarkerLine');

  n_mrkr = length(h_mrkr);
%this needs changed
  for j = 1:n_mrkr

    t(j,:) = get(h_mrkr(j),'XData');

    pos(j,:) = get(findobj('UserData',h_mrkr(j)),'Position');
  
  end

  [t,index] = sort(t(1:n_mrkr,1));

  for j = 1:n_mrkr

    set(findobj('UserData',h_mrkr(index(j))),'String',int2str(j));

  end

end

