function pe_file(name,item)
% Pitch Extract: use pda to create *.f0 files
%	A.Wrench, Nov 1999

nitems = 999;

if str2num (item) < 1 | str2num (item) > nitems
  error ('number needs to be in the range 1-999');
end

%convert item to 3 digit ascii
full_num = '000';
l = length (item);
shift = 3 - l;
for i = 1:l
  full_num (i+shift) = item (i);
end
item = full_num;

tlim = [0 0];

fprintf('Loading...\n');

%----------------------------------------
% LOADING LARYNGOGRAPH TRACK

laryngofilename = [name '_' item '.lar'];
pitchfilename = [name '_' item '.f0'];

if exist(laryngofilename,'file')
   eval(['!pda ' laryngofilename ' -itype nist -otype est_binary -o ' pitchfilename])
else
   fprintf('Filename: %s not present\n',laryngofilename);
end

%Smooth
%t = 0;
%width = 0;
%[y,t2] = smooth(laryngo,t,width);

%Peak pick

%slope = sign(y(1) - y(2));

%for i = 2:(length(y)-1)

%  if sign(y(i) - y(i+1)) == -slope

%    break;

%  end

%end

