function runema

global aud_sr ema_sr lar_sr epg_sr
global ema_pal epg_pal
global tongue_coils plot_coils

global AUDFILEEXT EPGFILEEXT;

ematools(1);

AUDFILEEXT = 'bin';
EPGFILEEXT = 'ep2';
%default audio sample rate
aud_sr = 16000;
%default laryngograph sample rate
lar_sr = 16000;
%default EMA sample rate
ema_sr = 500;
%default EPG sample rate
epg_sr = 200;

ema_pal = emapal;
ema_pal_name = 'emapal';
epg_pal = sdepgpal;

%default reference coils
ref1=1; ref2=10;

%default coils to be linked in 2D
tongue_coils = [5 6 7];

%default coils to be plotted in 2D
plot_coils = [1 2 3 4 5 6 7 8 9 10];
