function savefig(filename)

% SAVEFIG: save the figure selected by the user as an M-file.
%
%	See also: COPYFIG, PRINTFIG, LOADFIG

%	N. Nguyen, April 96

h_fig = findobj('Type','figure');

set(h_fig,'Pointer','fleur');

waitforbuttonpress;

if nargin == 0

  [filename,pathname] = uiputfile ('*.m','Save Figure as M-File');

  if filename == 0
    return;
  else
    filename = [pathname filename];
  end

end

set(gcf,'Pointer','watch');

eval (['print -dmfile ' filename]);

set(h_fig,'Pointer','arrow');

