function [ntrack1,ntrack2] = activ2

% ACTIV2: return the track numbers of two successively
% activated tracks

global h_axes

h_fig = fndwin('EMA Tools');

if isempty(h_fig)
  fprintf(1,'\nEMA Tools is not running.\n');
  return;
end

fprintf(1,'\nActivate Signal 1.\n');

while 1

  waitforbuttonpress;

  ntrack1 = fndtrack('ACTIVE');
  break;

end

fprintf(1,'\nNow activate Signal 2.\n');

while 1

  waitforbuttonpress;

  ntrack2 = fndtrack('ACTIVE');
  break;

end
