function articproc
%---------------------------------------------------
% This macro takes a list of epg files and calculates the 
% first 4 principal components generating a conversion matrix
%
%
%
%
name = 'artmess';
name = input ('filename prefix of files to be corrected(default: artmess): ','s');
if strcmp(name, '')
	name = 'artmess';
end
i1 = '1';
i1 = input ('from item # (default: 1): ','s');

if strcmp(i1,'')
  i1 = '1';
end
i2 = '1';
i2 = input ('to item # (default: 1): ','s');

if strcmp(i2,'')
  i2 = '1';
end
X = [];
%tmp = cell(length(str2num(i2)-str2num(i1)),1);
for i = str2num(i1):str2num(i2)

%------------------------------------------
%Load EPG data

%convert item to 3 digit ascii
item = num2str(i);
full_num = '000';
l = length (item);
shift = 3 - l;
for j = 1:l
  full_num (j+shift) = item (j);
end
item = full_num;

tlim = [0 0];

filename = [name '_' item '.epg'];

if exist(filename,'file')
    fid = fopen(filename,'r');
    dummy = fread(fid,'short');
    nbits = 16 * length(dummy);
    frewind(fid);
    [epg,count] = fread(fid,nbits,'ubit1');
    if count ~= nbits
      fprintf(1,'Warning: %d bits read for %s.epg.raw\n',count,filename);
    end
    nbits = count;
    nframes = nbits / 96;
    epg = reshape(epg,96,nframes);
    epg = fliplr(epg');
    epg = epg(:,33:96);
    epg(:,[1 8]) = [];
else
   fprintf('Filename: %s not present\n',filename);
end
i
tmp(i) = {epg'};
end
X=[tmp{:}]';
size(X)
[U,eigenval,epgmean,S,llh,Sigma,s2,error2] = pca(X,8);
filename = [name '.epgpc'];
save (filename, 'U', 'epgmean', 'eigenval');
eigenval
clear result;
length(U)
figure;
plot(eigenval);
for i= 1:62
 [reject,stat,chi,nu] = pca_test(eigenval,length(U),i);
 result(i)=reject;
end
figure;
plot(result);
