function [m2] = smooth2D(m1,width)

% 2DSMOOTH: smooth all the columns in a matrix using a spline function
%
%	See also: SMOOTH

%	A. Wrench, April 99, 1/4/99


m2 = [];
for i=1:size(m1,2)
y1 = m1(:,i);
fprintf('%d ',size(m1,2) - i+1);
t = 1:1:size(m1,1);
[y2,tt] = smooth(y1,t,width);
m2 = [m2,  y2];
end
