function sndplay(region)

% SNDPLAY: play all or part of the audio signal.

%	N. Nguyen, July 95, 18/09/95

global aud_sr

h_audio_axes = gettrack('AUD');
h_audio = findobj(h_audio_axes,'Tag','WaveForm','Selected','On');
A = get(h_audio,'YData');
xlim = get(h_audio_axes,'XLim');
xmin = crsrloc(1);
xmax = crsrloc(2);
t1 = round(xmin * aud_sr) + 1;
t2 = round(xmax * aud_sr) + 1;
xmin = xlim(1);
xmax = xlim(2);
t3 = round(xmin * aud_sr) + 1;
t4 = round(xmax * aud_sr) + 1;

if strcmp(region,'w')

%  sound(A(t1:t2)./max(A(t1:t2)),aud_sr);
  soundsc(A(t1:t2),aud_sr);

elseif strcmp(region,'f')

%  sound(A(t3:t4)./max(A(t1:t2)),aud_sr);
  soundsc(A(t3:t4),aud_sr);

end

