function trckcrsr

% TRCKCRSR: allows to move cursors with the mouse.
%
%	See also: CSRSRMMOV.

%	N. Nguyen, July 95, 18/09/95
callbackstring1 = [...
'h_axes = findobj(findobj(0,''Tag'',''EmaTools''),''Type'',''axes'');',...
'h_lines = findobj(h_axes,''Tag'',''WaveForm'');',...
'list = get(h_axes,''Userdata'');',...
'for i=1:length(list);',... 
   'tmax(i)=list{i,1}(1,1);',...
   'tmin(i)=list{i,1}(1,2);',...
   'period(i)=list{i,1}(1,3);',...
'end'];


crsr1 = crsrloc(1);

crsr2 = crsrloc(2);

pt = get(gca,'CurrentPoint');

if abs(pt(1,1) - crsr1) < abs(pt(1,1) - crsr2)

callbackstring = ...
   [callbackstring1...
   'h_crsr = findobj(h_axes,''Tag'',''Cursor'',''Userdata'',1);',...
   'h_val = findobj(h_axes,''Tag'',''CursorText'',''UserData'',1);',...
   't = crsrmmov(1,h_axes,h_lines,h_crsr,h_val,tmin,period);',...
   'plotema(''EMA1'',t);',...
   'plotepg(''EPG1'',t);',...
   'plotfft(''FFT1'',t);'];

else

  callbackstring = ...
   [callbackstring1...
   %find ant cursors belonging to these axes
   'h_crsr = findobj(h_axes,''Tag'',''Cursor'',''Userdata'',2);'...
   'h_val = findobj(h_axes,''Tag'',''CursorText'',''UserData'',2);'...
   't = crsrmmov(2,h_axes,h_lines,h_crsr,h_val,tmin,period);'...
   'plotema(''EMA2'',t);'...
   'plotepg(''EPG2'',t);'...
   'plotfft(''FFT2'',t);'];

end

set(gcf,'WindowButtonMotionFcn',callbackstring);



